//+------------------------------------------------------------------+
//|                                                 AllPivots_v2.mq4 |
//|                                  Copyright  2007, Forex-TSD.com |
//|                         Written by IgorAD,igorad2003@yahoo.co.uk |   
//|            http://finance.groups.yahoo.com/group/TrendLaboratory 
//|                             mod to breakout version by Darkkiller|                                      
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Forex-TSD.com "
#property link      "http://www.forex-tsd.com/"

#property indicator_chart_window


extern int     CountPeriods=30;
extern string  TimePeriod="H4";
extern color    Fontcolor=White;
extern int fontsize=8;
extern double PIP = 0.15;
extern double Distance_High = 0.08;
extern double Distance_Low = 0.01;


   datetime time1;
   datetime time2;
   double open,close,high,low,opentoday,closetoday;
 
   double HLH,HLL,OY,CY,OT,CT,TPH,TPL,tph,tpl,SL,sl;
 
   
   
   double pstyle, mstyle,cstyle;
   int shift, num, period;
     
   void ObjDel()
   {
      for (;num<=CountPeriods;num++)
      {

   
   ObjectDelete("HLH["+num+"]");
   ObjectDelete("HLL["+num+"]");
   ObjectDelete("TPH["+num+"]");
   ObjectDelete("TPL["+num+"]");
   ObjectDelete("SL["+num+"]");

   ObjectDelete("txtHLH");
   ObjectDelete("txtHLL");
   ObjectDelete("txtOY");
   ObjectDelete("txtCY");
   ObjectDelete("txtOT");
   ObjectDelete("txtCT");
      ObjectDelete("txtTPH");
   ObjectDelete("txtTPL");
   ObjectDelete("txtSL");
   

      }
   }

   void PlotLine(string name,double value,double line_color,double style)
   {
   ObjectCreate(name,OBJ_TREND,0,time1,value,time2,value);
   ObjectSet(name, OBJPROP_WIDTH, 1);
   ObjectSet(name, OBJPROP_STYLE, style);
   ObjectSet(name, OBJPROP_RAY, false);
   ObjectSet(name, OBJPROP_BACK, true);
   ObjectSet(name, OBJPROP_COLOR, line_color);
    }        
int init()
  {
   if (TimePeriod=="H1" || TimePeriod=="60") period=PERIOD_H1; 
   else
   if (TimePeriod=="H4" || TimePeriod=="240") period=PERIOD_H4; 
   else
   if (TimePeriod=="D1" || TimePeriod=="1440") period=PERIOD_D1;
   else
   if (TimePeriod=="W1" || TimePeriod=="10080") period=PERIOD_W1; 
   else
   if (TimePeriod=="MN" || TimePeriod=="43200") period=PERIOD_MN1;
   else
   {
   Comment("Wrong TimePeriod. Must be H1, H4, D1, W1 or MN"); 
   return(0);
   }
  return(0);
  }
   
   
int deinit()
  {
  ObjectsDeleteAll(); 
   ObjDel();
   Comment("");
   return(0);
  }

int start()
 
   {
   
  int i;
     
  ObjDel();
  num=0;
  
  for (shift=CountPeriods-1;shift>=0;shift--)
  {
  time1=iTime(NULL,period,shift);
             
  high  = iHigh(NULL,period,shift+1)+Distance_High;
  low   = iLow(NULL,period,shift+1)-Distance_Low;
  
  tph   = PIP+high;
  tpl   = low-PIP;
  sl    = (high+low)/2;

  time2=time1+period*60;
         
  pstyle=0;
  mstyle=3;
  cstyle=1;
  num=shift;
  
        
  
     
   PlotLine("HLH["+num+"]",high,Blue,pstyle);
   PlotLine("HLL["+num+"]",low,Red,pstyle);
   
   PlotLine("TPH["+num+"]",tph,Lime,pstyle);
   PlotLine("TPL["+num+"]",tpl,Lime,pstyle);
   
  
   
     SetText("txtHLH","                                   Entry Buy: "+ DoubleToStr(high,Digits), Time[i], high, Fontcolor);
     SetText("txtHLL","                                   Entry Sell: "+ DoubleToStr(low,Digits), Time[i], low, Fontcolor);
     
     SetText("txtTPH","                         TP: "+ DoubleToStr(high,Digits), Time[i], tph, Fontcolor);
     SetText("txtTPL","                         TP: "+ DoubleToStr(low,Digits), Time[i], tpl, Fontcolor);


}
   return(0);
  }
//+------------------------------------------------------------------+
void SetText(string name, string txt, datetime Tm, double Prc, color clr)
  {
   if(ObjectFind(name) == -1)
     {
       ObjectCreate(name, OBJ_TEXT, 0, Tm, Prc);
       ObjectSetText(name, txt, fontsize, "Arial", clr);
       ObjectSet(name, OBJPROP_CORNER, 2);
     }
   else
     {
       ObjectSet(name, OBJPROP_TIME1, Tm);
       ObjectSet(name, OBJPROP_PRICE1, Prc);
       ObjectSetText(name, txt, fontsize, "Arial", clr);
       ObjectSet(name, OBJPROP_CORNER, 2);
     } 
  }
//+------------------------------------------------------------------+